package pwc.taxtech.atms.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import pwc.taxtech.atms.dto.vatdto.*;
import pwc.taxtech.atms.vat.service.impl.ExportServiceImpl;

@RestController
@RequestMapping(value = "api/v1/export")
public class ExportController {

    @Autowired
    private ExportServiceImpl exportServiceImpl;

    @RequestMapping(value = "jsonData", method = RequestMethod.POST)
    public ResponseEntity getExportFile(@RequestBody JsonExportDto exportData) {
        return ResponseEntity.ok(exportServiceImpl.export(exportData, "~"));
    }

}