package pwc.taxtech.atms.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.dto.user.WebUserDto;

public class LoginOutputDto {

    private String apiHost;

    private Integer checkState;

    private Boolean isExternalUser;

    private String message;

    private AtmsTokenDto token;

    private WebUserDto user;
    @JsonProperty("userID")
    private String userId;

    public String getApiHost() {
        return apiHost;
    }

    public Integer getCheckState() {
        return checkState;
    }

    public Boolean getIsExternalUser() {
        return isExternalUser;
    }

    public String getMessage() {
        return message;
    }

    public AtmsTokenDto getToken() {
        return token;
    }

    public WebUserDto getUser() {
        return user;
    }

    public String getUserId() {
        return userId;
    }

    public void setApiHost(String apiHost) {
        this.apiHost = apiHost;
    }

    public void setCheckState(Integer checkState) {
        this.checkState = checkState;
    }

    public void setIsExternalUser(Boolean isExternalUser) {
        this.isExternalUser = isExternalUser;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public void setToken(AtmsTokenDto token) {
        this.token = token;
    }

    public void setUser(WebUserDto user) {
        this.user = user;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

}
