package pwc.taxtech.atms.dto.revenuconf;

import pwc.taxtech.atms.constant.enums.RevenueConfEnum;
import pwc.taxtech.atms.vat.entity.RevenueConfig;

public class RevenueConfResult extends RevenueConfig {
    public String getAccountTypeStr() {
        return RevenueConfEnum.AccountType.MAPPING.get(this.getAccountType());
    }

    public String getTaxBaseStr() {
        return RevenueConfEnum.TaxBase.MAPPING.get(this.getTaxBase());
    }

    public String getTaxTypeStr() {
        return RevenueConfEnum.TaxType.MAPPING.get(this.getTaxType());
    }

    public String getRevenueTypeStr() {
        return RevenueConfEnum.RevenueType.MAPPING.get(this.getRevenueType());
    }

    public String getStatusStr() {
        return RevenueConfEnum.Status.MAPPING.get(this.getStatus());
    }
}
