package pwc.taxtech.atms.dto.vatdto;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.dto.CellTemplateConfigDto;
import pwc.taxtech.atms.vat.entity.PeriodCellTemplateConfig;
import pwc.taxtech.atms.vat.entity.PeriodModifiedReportCell;

import java.util.List;

public class CellCalcInfoDto {
    @JsonProperty("cellID")
    private Long cellId;
    @JsonProperty("reportID")
    private Long reportId;

    private Integer columnIndex;

    private String columnName;

    private Integer rowIndex;

    private String rowName;

    private String formula;

    private String parsedFormula;

    private Boolean isCalculated;

    private String cellValue;
    @JsonProperty("cellTemplateID")
    private String cellTemplateId;
    @JsonProperty("cellTemplateID")
    private Long reportTemplateId;

    private Integer dataType;

    private Boolean isReadOnly;

    private String dataSourceExp;
    private String formulaExp;

    private String description;

    private Boolean dataSourceAvailable;

    private CellTemplateConfigDto cellTemplateConfig;

    private List<DataSourceDto> dataSourceList;

    private InvoiceListDto dataInvoiceList;

    //是否是用户手工调整过得值
    private Boolean isModified;

    //用户直接修改单元格的信息
    private PeriodModifiedReportCell modifiedReportCell;

    private List<CellVoucherDatasourceDto> dataVoucherList;

    private Boolean isConfigured;

    private Boolean hasModelError;

    //private List<ErrorInfoDto> ErrorInfoList;


    //private List<ModelBackFillAmountDesc> entriesCheckResultList;

    //private List<FormulaValidationError> ValidationErrorList ;

    private String comment;

    private List<PeriodCellTemplateConfig> configList;

    public Long getCellId() {
        return this.cellId;
    }

    public void setCellId(Long cellId) {
        this.cellId = cellId;
    }

    public Long getReportId() {
        return this.reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }

    public Integer getColumnIndex() {
        return this.columnIndex;
    }

    public void setColumnIndex(Integer columnIndex) {
        this.columnIndex = columnIndex;
    }

    public String getColumnName() {
        return this.columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public Integer getRowIndex() {
        return this.rowIndex;
    }

    public void setRowIndex(Integer rowIndex) {
        this.rowIndex = rowIndex;
    }

    public String getRowName() {
        return this.rowName;
    }

    public void setRowName(String rowName) {
        this.rowName = rowName;
    }

    public String getFormula() {
        return this.formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }

    public String getParsedFormula() {
        return this.parsedFormula;
    }

    public void setParsedFormula(String parsedFormula) {
        this.parsedFormula = parsedFormula;
    }

    public Boolean getIsCalculated() {
        return this.isCalculated;
    }

    public void setIsCalculated(Boolean calculated) {
        this.isCalculated = calculated;
    }

    public String getCellValue() {
        return this.cellValue;
    }

    public void setCellValue(String cellValue) {
        this.cellValue = cellValue;
    }

    public String getCellTemplateId() {
        return this.cellTemplateId;
    }

    public void setCellTemplateId(String cellTemplateId) {
        this.cellTemplateId = cellTemplateId;
    }

    public Long getReportTemplateId() {
        return this.reportTemplateId;
    }

    public void setReportTemplateId(Long reportTemplateId) {
        this.reportTemplateId = reportTemplateId;
    }

    public Integer getDataType() {
        return this.dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Boolean getIsReadOnly() {
        return this.isReadOnly;
    }

    public void setIsReadOnly(Boolean readOnly) {
        this.isReadOnly = readOnly;
    }

    public String getDataSourceExp() {
        return this.dataSourceExp;
    }

    public void setDataSourceExp(String dataSourceExp) {
        this.dataSourceExp = dataSourceExp;
    }

    public String getFormulaExp() {
        return this.formulaExp;
    }

    public void setFormulaExp(String formulaExp) {
        this.formulaExp = formulaExp;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getDataSourceAvailable() {
        return this.dataSourceAvailable;
    }

    public void setDataSourceAvailable(Boolean dataSourceAvailable) {
        this.dataSourceAvailable = dataSourceAvailable;
    }

    public CellTemplateConfigDto getCellTemplateConfig() {
        return this.cellTemplateConfig;
    }

    public void setCellTemplateConfig(CellTemplateConfigDto cellTemplateConfig) {
        this.cellTemplateConfig = cellTemplateConfig;
    }

    public List<DataSourceDto> getDataSourceList() {
        return this.dataSourceList;
    }

    public void setDataSourceList(List<DataSourceDto> dataSourceList) {
        this.dataSourceList = dataSourceList;
    }

    public InvoiceListDto getDataInvoiceList() {
        return this.dataInvoiceList;
    }

    public void setDataInvoiceList(InvoiceListDto dataInvoiceList) {
        this.dataInvoiceList = dataInvoiceList;
    }

    public Boolean getIsModified() {
        return this.isModified;
    }

    public void setIsModified(Boolean modified) {
        this.isModified = modified;
    }

    public PeriodModifiedReportCell getModifiedReportCell() {
        return this.modifiedReportCell;
    }

    public void setModifiedReportCell(PeriodModifiedReportCell modifiedReportCell) {
        this.modifiedReportCell = modifiedReportCell;
    }

    public List<CellVoucherDatasourceDto> getDataVoucherList() {
        return this.dataVoucherList;
    }

    public void setDataVoucherList(List<CellVoucherDatasourceDto> dataVoucherList) {
        this.dataVoucherList = dataVoucherList;
    }

    public Boolean getIsConfigured() {
        return this.isConfigured;
    }

    public void setIsConfigured(Boolean configured) {
        this.isConfigured = configured;
    }

    public Boolean getHasModelError() {
        return this.hasModelError;
    }

    public void setHasModelError(Boolean hasModelError) {
        this.hasModelError = hasModelError;
    }

    public String getComment() {
        return this.comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public List<PeriodCellTemplateConfig> getConfigList() {
        return this.configList;
    }

    public void setConfigList(List<PeriodCellTemplateConfig> configList) {
        this.configList = configList;
    }
}
