package pwc.taxtech.atms.dto.vatdto;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.vat.entity.CustomsInvoice;

import java.math.BigDecimal;
import java.util.Date;

public class CustomsInvoiceDto {
    private String customsId;
    private String payNum;
    private Date issueDate;
    private BigDecimal invoiceTaxAmount;
    private BigDecimal invoiceAmount;
    private String auditResult;
    private Date createTime;
    @JsonProperty("creatorID")
    private String creatorId;
    private Integer periodId;
    private String dataSourceId;
    //数据源名称
    private String dataSourceName;
    private int seqNo;

    public String getCustomsId() {
        return customsId;
    }

    public void setCustomsId(String customsId) {
        this.customsId = customsId;
    }

    public String getPayNum() {
        return payNum;
    }

    public void setPayNum(String payNum) {
        this.payNum = payNum;
    }

    public Date getIssueDate() {
        return issueDate;
    }

    public void setIssueDate(Date issueDate) {
        this.issueDate = issueDate;
    }

    public BigDecimal getInvoiceTaxAmount() {
        return invoiceTaxAmount;
    }

    public void setInvoiceTaxAmount(BigDecimal invoiceTaxAmount) {
        this.invoiceTaxAmount = invoiceTaxAmount;
    }

    public BigDecimal getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(BigDecimal invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public Integer getPeriodId() {
        return periodId;
    }

    public void setPeriodId(Integer periodId) {
        this.periodId = periodId;
    }

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public String getDataSourceName() {
        return dataSourceName;
    }

    public void setDataSourceName(String dataSourceName) {
        this.dataSourceName = dataSourceName;
    }

    public int getSeqNo() {
        return seqNo;
    }

    public void setSeqNo(int seqNo) {
        this.seqNo = seqNo;
    }

    public CustomsInvoiceDto extractFromEntity(CustomsInvoice entity) {
        setCustomsId(entity.getCustomsId());
        setPayNum(entity.getPayNum());
        setIssueDate(entity.getIssueDate());
        setInvoiceTaxAmount(entity.getInvoiceTaxAmount());
        setInvoiceAmount(entity.getInvoiceAmount());
        setAuditResult(entity.getAuditResult());
        setCreateTime(entity.getCreateTime());
        setCreatorId(entity.getCreatorId());
        setPeriodId(entity.getPeriodId());
        return this;
    }
}
