package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.constant.enums.FormulaDataSourceType;

import java.math.BigDecimal;
import java.util.Date;

public class InputInvoiceDataSourceDto extends FormulaDataSourceDto {

    public InputInvoiceDataSourceDto() {
        super();
        this.setType(FormulaDataSourceType.InputInvoice.getCode());
    }

    public Integer period;
    public Date certificationDate;
    public String sellerTaxNumber;
    public String invoiceCode;
    public String invoiceNumber;
    public BigDecimal taxAmount;
    public Integer invoiceType;

    @Override
    public Integer getPeriod() {
        return this.period;
    }

    @Override
    public void setPeriod(Integer period) {
        this.period = period;
    }

    public Date getCertificationDate() {
        return this.certificationDate;
    }

    public void setCertificationDate(Date certificationDate) {
        this.certificationDate = certificationDate;
    }

    public String getSellerTaxNumber() {
        return this.sellerTaxNumber;
    }

    public void setSellerTaxNumber(String sellerTaxNumber) {
        this.sellerTaxNumber = sellerTaxNumber;
    }

    public String getInvoiceCode() {
        return this.invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNumber() {
        return this.invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public BigDecimal getTaxAmount() {
        return this.taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public Integer getInvoiceType() {
        return this.invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }
}
