package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.constant.enums.FormulaDataSourceType;

import java.math.BigDecimal;
import java.util.Date;

public class InputInvoiceDetailDataSourceDto extends FormulaDataSourceDto {
    public InputInvoiceDetailDataSourceDto() {
        super();
        this.setType(FormulaDataSourceType.InputInvoiceDetail.getCode());
    }

    public Integer period;
    public Date InvoiceDate;
    public String InvoiceCode;
    public String InvoiceNumber;
    public BigDecimal TaxAmount;
    public BigDecimal TaxRate;
    public String ProductionName;

    @Override
    public Integer getPeriod() {
        return this.period;
    }

    @Override
    public void setPeriod(Integer period) {
        this.period = period;
    }

    public Date getInvoiceDate() {
        return this.InvoiceDate;
    }

    public void setInvoiceDate(Date invoiceDate) {
        this.InvoiceDate = invoiceDate;
    }

    public String getInvoiceCode() {
        return this.InvoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.InvoiceCode = invoiceCode;
    }

    public String getInvoiceNumber() {
        return this.InvoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.InvoiceNumber = invoiceNumber;
    }

    public BigDecimal getTaxAmount() {
        return this.TaxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.TaxAmount = taxAmount;
    }

    public BigDecimal getTaxRate() {
        return this.TaxRate;
    }

    public void setTaxRate(BigDecimal taxRate) {
        this.TaxRate = taxRate;
    }

    public String getProductionName() {
        return this.ProductionName;
    }

    public void setProductionName(String productionName) {
        this.ProductionName = productionName;
    }
}
