package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.constant.enums.FormulaDataSourceType;

import java.math.BigDecimal;
import java.util.Date;

public class OutputInvoiceDataSourceDto extends FormulaDataSourceDto {

    public OutputInvoiceDataSourceDto() {
        super();
        this.setType(FormulaDataSourceType.OutputInvoice.getCode());
    }

    private String id;
    private Integer period;
    private Date invoiceDate;
    private String buyerName;
    private String invoiceCode;
    private String invoiceNumber;
    private BigDecimal taxRate;
    private BigDecimal taxAmount;
    private Integer invoiceType;
    private String dataSourceId;
    //数据源名称
    private String dataSourceName;

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    @Override
    public Integer getPeriod() {
        return this.period;
    }

    @Override
    public void setPeriod(Integer period) {
        this.period = period;
    }

    public Date getInvoiceDate() {
        return this.invoiceDate;
    }

    public void setInvoiceDate(Date invoiceDate) {
        this.invoiceDate = invoiceDate;
    }

    public String getBuyerName() {
        return this.buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getInvoiceCode() {
        return this.invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNumber() {
        return this.invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public BigDecimal getTaxRate() {
        return this.taxRate;
    }

    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }

    public BigDecimal getTaxAmount() {
        return this.taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public Integer getInvoiceType() {
        return this.invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getDataSourceId() {
        return this.dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public String getDataSourceName() {
        return this.dataSourceName;
    }

    public void setDataSourceName(String dataSourceName) {
        this.dataSourceName = dataSourceName;
    }
}
