package pwc.taxtech.atms.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.client.RestTemplate;
import pwc.taxtech.atms.common.AtmsApiSettings;
import pwc.taxtech.atms.common.AuthUserHelper;
import pwc.taxtech.atms.common.ResponseMessageBuilder;
import pwc.taxtech.atms.common.util.BeanUtil;

public class BaseService {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    protected AuthUserHelper authUserHelper;
    @Autowired
    protected AtmsApiSettings atmsApiSettings;
    @Autowired
    protected OperationLogServiceImpl operationLogService;
    @Autowired
    protected DistributedIdService idService;
    @Autowired
    protected BeanUtil beanUtil;
    @Autowired
    protected RestTemplate restTemplate;/*
    @Autowired
    protected CommonDocumentHelper commonDocumentHelper;*/
    @Autowired
    protected ResponseMessageBuilder responseMessageBuilder;

}
