package pwc.taxtech.atms.service.impl;
import org.junit.Test;
import pwc.taxtech.atms.CommonIT;
import pwc.taxtech.atms.dto.ebsdto.JournalEntryQueryDto;
import pwc.taxtech.atms.service.EbsApiService;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class EbsApiServiceImplTest extends CommonIT {
    @Resource
    private EbsApiService ebsApiService;
    @Resource
    private DistributedIdService distributedIdService;

    @Test
    public  void queryRemoteServerThenUpdateJE(){
        List<JournalEntryQueryDto> items=new ArrayList<>();
        for(int i=0;i<10;i++){
            JournalEntryQueryDto journalEntryQueryDto =new JournalEntryQueryDto();
            journalEntryQueryDto.setId(distributedIdService.nextId());
            journalEntryQueryDto.setOrganizationId("44250A49-F3EF-4A1E-89E0-165BB89A94D0");
            journalEntryQueryDto.setProjectId("44250A49-F3EF-4A1E-89E0-165BB89A94D0");
            journalEntryQueryDto.setDate(new Date());
            journalEntryQueryDto.setSource("这是哪里"+i);
            journalEntryQueryDto.setLedgerId("我关联谁"+i);
            journalEntryQueryDto.setLedgerName("我是谁"+i);
            journalEntryQueryDto.setCurrencyCode("123"+i);
            journalEntryQueryDto.setStatus("1");
            journalEntryQueryDto.setHeaderId("123456789");
            journalEntryQueryDto.setLineNum("1");
            journalEntryQueryDto.setApprovalStatus("1");
            journalEntryQueryDto.setPostedStatus("1");
            journalEntryQueryDto.setPeriod(0);
            journalEntryQueryDto.setAccountingDate(new Date());
            journalEntryQueryDto.setJournalSource("setJournalSource");
            journalEntryQueryDto.setCategory("setCategory");
            journalEntryQueryDto.setName("setName");
            journalEntryQueryDto.setVoucherNum("setVoucherNum");
            journalEntryQueryDto.setDescription("setDescription");
            journalEntryQueryDto.setSegment1("setSegment1");
            journalEntryQueryDto.setSegment2("setSegment2");
            journalEntryQueryDto.setSegment3("");
            journalEntryQueryDto.setSegment4("");
            journalEntryQueryDto.setSegment5("");
            journalEntryQueryDto.setSegment6("");
            journalEntryQueryDto.setSegment7("");
            journalEntryQueryDto.setSegment8("");
            journalEntryQueryDto.setSegment9("");
            journalEntryQueryDto.setSegment10("");
            journalEntryQueryDto.setSegment1Name("");
            journalEntryQueryDto.setSegment2Name("");
            journalEntryQueryDto.setSegment3Name("");
            journalEntryQueryDto.setSegment4Name("");
            journalEntryQueryDto.setSegment5Name("");
            journalEntryQueryDto.setSegment6Name("");
            journalEntryQueryDto.setSegment7Name("");
            journalEntryQueryDto.setSegment8Name("");
            journalEntryQueryDto.setSegment9Name("");
            journalEntryQueryDto.setSegment10Name("");
            journalEntryQueryDto.setJournalCurrencyCode("");
            journalEntryQueryDto.setSobCurrencyCode("");
            journalEntryQueryDto.setAccountedDr(new BigDecimal("0"));
            journalEntryQueryDto.setAccountedCr(new BigDecimal("0"));
            journalEntryQueryDto.setEnteredDr(new BigDecimal("0"));
            journalEntryQueryDto.setEnteredCr(new BigDecimal("0"));
            journalEntryQueryDto.setCfItem("");
            journalEntryQueryDto.setAttribute1("");
            journalEntryQueryDto.setAttribute2(new Date());
            journalEntryQueryDto.setAttribute3("");
            journalEntryQueryDto.setAttribute4("");
            journalEntryQueryDto.setAttribute5("");
            journalEntryQueryDto.setAttribute6("");
            journalEntryQueryDto.setAttribute7("");
            journalEntryQueryDto.setAttribute8("");
            journalEntryQueryDto.setAttribute9("");
            journalEntryQueryDto.setAttribute10("");
            journalEntryQueryDto.setAttribute11("");
            journalEntryQueryDto.setAttribute12("");
            journalEntryQueryDto.setAttribute13("");
            journalEntryQueryDto.setAttribute14("");
            journalEntryQueryDto.setAttribute15("");
            journalEntryQueryDto.setAttribute16("");
            items.add(journalEntryQueryDto);
        }
        ebsApiService.queryRemoteServerThenUpdateJE(items);
    }
}