package pwc.taxtech.atms.dao;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import pwc.taxtech.atms.MyMapper;

@Mapper
public interface CitTBDataImportMapper extends MyMapper {
    @Delete("<script>" +
            " DELETE FROM #{tbName} WHERE PeriodId = #{period}" +
            "</script>")
    Integer deleteByPeriod(@Param("period") Integer period, @Param("tbName") String tbName);

    @Delete("<script>" +
            " DELETE FROM #{tbName} WHERE PeriodId > #{period}" +
            "</script>")
    Integer deleteByGreaterPeriod(@Param("period") Integer period, @Param("tbName") String tbName);

    @Delete("<script>DELETE FROM #{tbName} <if test=\"period != null\"> WHERE Period =#{period} </if></script>")
    Integer deleteByNameAndPeriod(@Param("tbName") String tbName, @Param("period") Integer period);
}
