﻿citModule.directive('citAuditAdjust', ['$log', 'enums',
    function ($log, enums) {
        'use strict';

        $log.debug('citAuditAdjust.ctor()...');

        return {
            restrict: 'E',
            template: '<import-audit-adjust service-type-id="serviceTypeId" period-id="periodId"></import-audit-adjust>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.CIT;
            }
        };
    }
]);