﻿citModule.directive('citImportTrialBalance', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('citImportTrialBalance.ctor()...');

        return {
            restrict: 'E',
            template: '<import-trial-balance service-type-id="serviceTypeId" period-id="periodId"></import-trial-balance>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.CIT;
            }
        };

    }
]);