﻿// appDocumentTreeView
// Document tree view
commonModule.directive('accountSelector', ['$log',
    function ($log) {
        'use strict';
        $log.debug('accountSelector.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/account-selector/account-selector.html' + '?_=' + Math.random(),
            replace: true,
            scope: { selectedAccountCode: '=',
                     stdAccountsCategories: '=',
                     selectedAccountName:'='},
            controller: 'accountSelectorController',
            link: function (scope, element) {
                element.find('.selector-input').on('focus', function () {
                    element.find('.account-tree-container').show();
                });
                $(document).on('click', function () {
                    element.find('.account-tree-container').hide();
                }).on('click', '.account-tree-wrapper', function (e) {
                    e.stopPropagation();
                });
            }
        };
    }
]);