﻿commonModule.directive('roleMultiSelector', ['$log',
    function ($log) {
        'use strict';
        $log.debug('roleMultiSelector.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/role-multi-selector/role-multi-selector.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                selectedRoleIds: '=',
                selectedRoleNames: '=',
                itemMaxLength:'=?'
            },
            controller: 'roleMultiSelectorController',
            link: function (scope, element) {
                element.find('.selector-input').on('focus', function () {
                    scope.initialCheckedNode();
                    scope.$digest();
                    element.find('.role-tree-container').show();
                });

                $(document).on('click', function () {
                    element.find('.role-tree-container').hide();
                }).on('click', '.role-multi-selector-container', function (e) {
                    e.stopPropagation();
                });
            }
        };
    }
]);