﻿
commonModule.filter("statusFilter", ["enums", function () {
    'use strict';
    var filterfun = function (status, statusList) {
        var statusText = status, statusDic;
        if (statusList) {
            statusDic = _.findWhere(statusList, { value: status + '' });
        }
        if (statusDic) {
            statusText = statusDic.text;
        }
        return statusText;
    };
    return filterfun;
}]);
commonModule.directive("outsideClick", ['$document', function ($document) {
    return {
        link: function ($scope, $element, $attributes) {
            var scopeExpression = $attributes.outsideClick,
                 ignore = $attributes.ignore
            var onDocumentClick = function (event) {

                var isChild = $element.find(event.target).length > 0 || (ignore ? event.target.id === ignore : false);
                if (!isChild) {
                    $scope.$apply(scopeExpression);
                }
            };

            $document.on("click", onDocumentClick);

            $element.on('$destroy', function () {
                $document.off("click", onDocumentClick);
            });
        }
    }
}]);
//unknown: 0,
//    noCheck: 10,
//checkIn: 20,
//repeatshot: 25,
//examing: 30,
//rpCancel: 40,
//examination: 50,
//draft: 100,
//reject: 105,
//submit: 110,
//firstApprove: 120,
//secondApprove: 130