﻿webservices.factory('outputReconciliationQueryService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        queryJournalList: function (model) {
            return $http.post('/outputReconciliationQuery/queryJournalList', model, apiConfig.createVat());
        },
        getDictinctCategoryList:function(){
            return $http.get('/outputReconciliationQuery/getDictinctCategoryList', apiConfig.createVat());
        },
        queryFapiaoList:function(model){
            return $http.post('/outputReconciliationQuery/queryFapiaoList', model, apiConfig.createVat());
        },
        manualAdjust:function(model){
            return $http.post('/outputReconciliationQuery/manualAdjust', model, apiConfig.createVat());
        },
        undo:function(model){
            return $http.post('/outputReconciliationQuery/undo', model, apiConfig.createVat());
        },
        getMatchedGroupDetail:function(groupID){
            return $http.get('/outputReconciliationQuery/getMatchedGroupDetail?groupID='+ groupID, apiConfig.createVat());
        }
    };
}]);