﻿citModule.directive('dataImportTemplate', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportTemplate.ctor()...');

        return {
            restrict: 'E',
            template: '<import-cash-flow service-type-id="serviceTypeId" period-id="periodId" file-type="fileType"></import-cash-flow>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.VAT;
                scope.fileType = constant.importFileType.cashFlow;
            }
        };

    }
]);