﻿citModule.directive('dataImportCitEamAssetsDisposal', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportCitEamAssetsDisposal.ctor()...');

        return {
            restrict: 'E',
            template: '<import-cit-eam-assets-disposal service-type-id="serviceTypeId" period-id="periodId"></import-cit-eam-assets-disposal>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.CIT;
            }
        };

    }
]);