﻿citModule.directive('dataImportCoupaPurchasingReport', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportCoupaPurchasingReport.ctor()...');

        return {
            restrict: 'E',
            template: '<import-coupa-purchasing-report service-type-id="serviceTypeId" period-id="periodId"></import-coupa-purchasing-report>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };

    }
]);