﻿citModule.directive('dataImportInvoiceData', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportInvoiceRecord.ctor()...');

        return {
            restrict: 'E',
            template: '<import-invoice-data service-type-id="serviceTypeId" period-id="periodId"></import-invoice-data>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };

    }
]);