﻿// appDocumentTreeView
// Document tree view
frameworkModule.directive('appDocumentTreeView', ['$log',
    function ($log) {
        'use strict';

        $log.debug('treeView.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/framework/app-document-tree-view/app-document-tree-view.html' + '?_=' + Math.random(),
            replace: true,
            scope: { documentClick: '&'},
            //"@" binding is for passing strings. These strings support {{}} expressions for interpolated values.
            //"=" binding is for two-way model binding. The model in parent scope is linked to the model in the directive's isolated scope.
            //"&" binding is for passing a method into your directive's scope so that it can be called within your directive.
            controller: 'AppDocumentTreeViewController',
        };
    }
]);