﻿vatModule.directive('vatAuditAdjust', ['$log', 'enums', 'vatSessionService',
    function ($log, enums, vatSessionService) {
        'use strict';

        $log.debug('vatAuditAdjust.ctor()...');

        return {
            restrict: 'E',
            template: '<import-audit-adjust service-type-id="serviceTypeId" period-id="periodId"></import-audit-adjust>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = vatSessionService.month;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };
    }
]);