﻿invoiceModule.directive('invoiceManageRefund', ['$log', 'SweetAlert', '$translate',
    function ($log, SweetAlert, $translate) {
        'use strict';
        $log.debug('invoiceManageMain.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/invoice/invoice-manage-refund/invoice-manage-refund.html' + '?_=' + Math.random(),
            scope:
            {
                 
            },
            controller: 'invoiceManageRefundController',
            link: function (scope, element) {
                //计算datagrid的高度
                scope.setInvoiceGridHeight = function () {
                    var invoiceDataGridSelector = '#invoiceRefundGrid';
                    var pageWrapSelector = ".invoice-manage-refund";
                   // var menuSelector = ".header-title";
                    var contentHeader = pageWrapSelector + ' .header';
                    var contentbody = '.content';
                    var buttonRow = '.content .btn-row';
                    var pageFooter = '.content .page-footer';
                    var dxGridSelector = pageWrapSelector + " .grid-container";

                    var pageHeight = $(document).height();// 810; 
                   // var menuHeight = $(menuSelector).outerHeight();

                    var contentHeaderHeight = $(contentHeader).outerHeight();
                    var buttonRowHeight = $(buttonRow).outerHeight();
                    var pageFooterHeight = $(pageFooter).outerHeight(); //parseInt($(pageFooter).css('height').replace('px', ''));

                    var contentbodyHeight = pageHeight  - contentHeaderHeight-45;
                    var height = contentbodyHeight - buttonRowHeight - pageFooterHeight - 35 + 'px';
                    $(contentbody).css('height', contentbodyHeight + 'px');
                    $(dxGridSelector).css('height', height);
                    $(invoiceDataGridSelector).css('max-height', '100%');

                    try {
                        $(invoiceDataGridSelector).dxDataGrid('instance').repaint();
                    }
                    catch (e) {
                        console.log(e);
                    }
                };


                $(window).on('resize', function () {
                    scope.setInvoiceGridHeight();
                });
            }//# end of link
        };
    }
]);