package pwc.taxtech.atms.common;

public enum ApplyScope {
    FinancialStatement(1),
    TaxReturn (2),
    AnalyticsModel(3);
	
	 private int value;

	 ApplyScope(int value) {
	        this.value = value;
	    }

	    public Integer value() {
	        return value;
	    }
	    
	    public static String getName(int value) {
	        for(ApplyScope module:ApplyScope.values()) {
	            if(module.value() == value) {
	                return module.name();
	            }
	        }
	        return null;
	    }
}
