package pwc.taxtech.atms.constant.enums;

public enum EnumCitImportType {
    Undefined(0),
    JournalAdjust(1),
    TrialBalance (2),
    DraftAccountMapping (3),
    BalanceSheetPrcAdjust (4),
    ProfitPrcAdjust (5),
    EAMAssetsDisposal (6),
    SalaryAdvance (7)
    ;

    private Integer code;

    EnumCitImportType(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public static EnumCitImportType valueOf(Integer value) {
        for (EnumCitImportType item : EnumCitImportType.values()) {
            if (item.getCode().equals(value)) {
                return item;
            }
        }
        return null;
    }
}
