package pwc.taxtech.atms.dto.approval;

public class ApprovalDto {
    private String projectId;
    private Long reportId;
    private String periodDate;
    private String instanceId;
    private String status;//committed,agreed,disagreed

    @Override
    public String toString() {
        return "ApprovalDto{" +
                "projectId='" + projectId + '\'' +
                ", reportId=" + reportId +
                ", period=" + periodDate +
                ", instaceId='" + instanceId + '\'' +
                ", status='" + status + '\'' +
                '}';
    }

    public Integer getPeriod() {
        return Integer.parseInt(periodDate.split("\\.")[1]);
    }

    public Integer getYear(){
        return Integer.parseInt(periodDate.split("\\.")[0]);
    }

    public String getProjectId() {
        return this.projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Long getReportId() {
        return this.reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }

    public String getPeriodDate() {
        return this.periodDate;
    }

    public void setPeriodDate(String periodDate) {
        this.periodDate = periodDate;
    }

    public String getInstanceId() {
        return this.instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
