package pwc.taxtech.atms.dto.dimension;

public enum DimensionTypeEnum {
    // Unknown = 0,
    // SelfDimension = 1,
    // BusinessUnit = 2,
    // Area = 3,
    // OrganizationStructure = 4,
    // User = 5,
    // Industry = 6,
    // OrgSubChildren = 7,
    // Stock = 8
    /***/
    Unknown(0),
    /***/
    SelfDimension(1),
    /***/
    BusinessUnit(2),
    /***/
    Area(3),
    /***/
    OrganizationStructure(4),
    /***/
    User(5),
    /***/
    Industry(6),
    /***/
    OrgSubChildren(7),
    /***/
    Stock(8),
    /***/
    ;

    private Integer value;

    DimensionTypeEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    public static DimensionTypeEnum valueOf(Integer value) {
        for (DimensionTypeEnum item : DimensionTypeEnum.values()) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        return null;
    }

    public static String int2str(Integer value) {
        for (DimensionTypeEnum item : DimensionTypeEnum.values()) {
            if (item.value.equals(value)) {
                return item.name();
            }
        }
        return null;
    }

}
