package pwc.taxtech.atms.exception;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;

public class PreconditionFailedException  extends ApiException {
    public PreconditionFailedException() {
        super();
    }

    public PreconditionFailedException(String message) {
        super(message);
    }

    public PreconditionFailedException(String message, Throwable cause) {
        super(message, cause);
    }

    public PreconditionFailedException(Throwable cause) {
        super(cause);
    }

    @Override
    public <Object> ResponseEntity handle() {
        return ResponseEntity.status(HttpStatus.PRECONDITION_FAILED).build();
    }
}