package pwc.taxtech.atms.dpo;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.math.BigDecimal;
import java.util.Date;

public class EntriesCheckDetailDto {
    @JsonProperty("ID")
    private String id;
    @JsonProperty("modelID")
    private String modelId;
    private int guideLine;
    private String acctJudge;
    private String standardCode;
    private Integer acctDirection;
    private String entriesComparison;
    private BigDecimal thresholdValue;
    private String summary;
    private int isRelevantAmt;
    private Date CreateTime;
    private Date UpdateTime;
    private int indexShow;
    private boolean isRelevantAmtShow;
    private String summaryShow;
    private String stdCodeAndName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getModelId() {
        return modelId;
    }

    public void setModelId(String modelId) {
        this.modelId = modelId;
    }

    public int getGuideLine() {
        return guideLine;
    }

    public void setGuideLine(int guideLine) {
        this.guideLine = guideLine;
    }

    public String getAcctJudge() {
        return acctJudge;
    }

    public void setAcctJudge(String acctJudge) {
        this.acctJudge = acctJudge;
    }

    public String getStandardCode() {
        return standardCode;
    }

    public void setStandardCode(String standardCode) {
        this.standardCode = standardCode;
    }

    public Integer getAcctDirection() {
        return acctDirection;
    }

    public void setAcctDirection(Integer acctDirection) {
        this.acctDirection = acctDirection;
    }

    public String getEntriesComparison() {
        return entriesComparison;
    }

    public void setEntriesComparison(String entriesComparison) {
        this.entriesComparison = entriesComparison;
    }

    public BigDecimal getThresholdValue() {
        return thresholdValue;
    }

    public void setThresholdValue(BigDecimal thresholdValue) {
        this.thresholdValue = thresholdValue;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public int getIsRelevantAmt() {
        return isRelevantAmt;
    }

    public void setIsRelevantAmt(int isRelevantAmt) {
        this.isRelevantAmt = isRelevantAmt;
    }

    public Date getCreateTime() {
        return CreateTime;
    }

    public void setCreateTime(Date createTime) {
        CreateTime = createTime;
    }

    public Date getUpdateTime() {
        return UpdateTime;
    }

    public void setUpdateTime(Date updateTime) {
        UpdateTime = updateTime;
    }

    public int getIndexShow() {
        return indexShow;
    }

    public void setIndexShow(int indexShow) {
        this.indexShow = indexShow;
    }

    public boolean isRelevantAmtShow() {
        return isRelevantAmtShow;
    }

    public void setRelevantAmtShow(boolean isRelevantAmtShow) {
        this.isRelevantAmtShow = isRelevantAmtShow;
    }

    public String getSummaryShow() {
        return summaryShow;
    }

    public void setSummaryShow(String summaryShow) {
        this.summaryShow = summaryShow;
    }

    public String getStdCodeAndName() {
        return stdCodeAndName;
    }

    public void setStdCodeAndName(String stdCodeAndName) {
        this.stdCodeAndName = stdCodeAndName;
    }
}
