package pwc.taxtech.atms.dpo;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

public class OrgInfoDto {
    //@JsonProperty("ID")
    private String id;
    private String name;
    private String code;
    @JsonProperty("parentID")
    private String parentId;
    private String taxPayerNumber;
    @JsonProperty("regionID")
    private String regionId; //City
    private String regionName;
    @JsonProperty("structureID")
    private String structureId;
    private String structureName;
    @JsonProperty("industryID")
    private String industryId;
    private String industryName;
    private String areaName;
    @JsonProperty("areaID")
    private String areaId;
    @JsonProperty("businessUnitID")
    private String businessUnitId;
    private String businessUnitName;

    private String clientCode;

    private Boolean isActive;

    private Integer pLevel;

    private Date createTime;

    private Date updateTime;

    private String englishName;

    private String abbreviation;

    private String invoiceType;

    private String legalPersonName;

    private String manufactureAddress;

    private String registerAddress;

    private String bankAccountName;

    private String bankAccountNumber;

    private String phoneNumber;

    private String registrationType;

    private String remark;

    private String vehicleRoutingLocation;

    private String ratepayer;

    private String address;

    private Date foundationDate;

    private Date registrationDate;

    private String registrationLocation;

    private String registrationCapital;

    private Date businessAllottedTimeFrom;

    private Date businessAllottedTimeTo;

    private String legalCode;

    private String vehicleroutinglocation;

    private String businessScope;

    private String architectureType;

    private String nationalEconomicIndustry;

    private Boolean engageNationalProhibitIndustry;

    private Integer numOfBranches;

    private Boolean apiUpdateFlag;

    private Date effecTimeOfGeneralTaxpayers;

    private String registrationLocationEn;

    private String paidInCapital;

    private Date generalTaxPayerEffectiveTime;

    private String actualBusinessAddress;

    private Boolean oversea;

    private String unifiedSocialCreditCode;

    private String regStatus;

    private String taxRegStatus;

    private Boolean regFinancialAccountingType;

    private String applicableAccountingRule;

    private String lowValueConsumablesAmortizationMethod;

    private String depreciationMethod;

    private String accountingSoftware;

    private Boolean completeRecordTotalInstitutions;

    private String taxClientPersonName;

    private String taxClientPersonPhoneNum;

    private String taxClientPersonIdNum;

    private String ticketHolderName;

    private String ticketHolderPhoneNum;

    private String nationalTaxHallAddress;

    private String nationalTaxAdministratorName;

    private String nationalTaxAdministratorPhoneNum;

    private String localTaxHallAddress;

    private String localTaxAdministratorName;

    private String localTaxAdministratorPhoneNum;

    private String etaWebsite;

    private Boolean signTripartiteAgreement;

    private String reportingCurrency;

    private Date consolidationTime;

    private Date fiscalYearDeadline;

    private String taxAgent;

    private String taxAgentContact;

    private String otherFacts;

    private Integer taxReturnBusinessType;

    private Boolean smallMeagerProfit;

    private Boolean listedCompany;

    private Integer applicableAccountingStandardsOrAccountingSystems;

    private String taxPayerNumberVat;

    private String taxPayerNumberCit;

    private String taxClientPersonEmailAddress;

    private String legalPersonPhoneNumber;

    private String legalPersonLandlineNum;

    private String legalPersonEmailAddress;

    private String regFinancialOfficerName;

    private String regFinancialOfficerPhoneNum;

    private String regFinancialOfficerLandlineNum;

    private String regFinancialOfficerEmailAddress;

    private Long secondaryApprovalAmount;

    private String businessRegistrationNumber;

    private Float parValue;

    private Long issuedShares;

    private String directors;

    private Date logoutTime;

    private String taxRuleIntroduction;

    private String auditRequirements;

    private String taxCreditRating;

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getTaxPayerNumber() {
        return taxPayerNumber;
    }

    public void setTaxPayerNumber(String taxPayerNumber) {
        this.taxPayerNumber = taxPayerNumber;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStructureId() {
        return structureId;
    }

    public void setStructureId(String structureId) {
        this.structureId = structureId;
    }

    public String getStructureName() {
        return structureName;
    }

    public void setStructureName(String structureName) {
        this.structureName = structureName;
    }

    public String getIndustryId() {
        return industryId;
    }

    public void setIndustryId(String industryId) {
        this.industryId = industryId;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getBusinessUnitId() {
        return businessUnitId;
    }

    public void setBusinessUnitId(String businessUnitId) {
        this.businessUnitId = businessUnitId;
    }

    public String getBusinessUnitName() {
        return businessUnitName;
    }

    public void setBusinessUnitName(String businessUnitName) {
        this.businessUnitName = businessUnitName;
    }

    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    public Integer getpLevel() {
        return pLevel;
    }

    public void setpLevel(Integer pLevel) {
        this.pLevel = pLevel;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getAbbreviation() {
        return abbreviation;
    }

    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getLegalPersonName() {
        return legalPersonName;
    }

    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    public String getManufactureAddress() {
        return manufactureAddress;
    }

    public void setManufactureAddress(String manufactureAddress) {
        this.manufactureAddress = manufactureAddress;
    }

    public String getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(String registerAddress) {
        this.registerAddress = registerAddress;
    }

    public String getBankAccountName() {
        return bankAccountName;
    }

    public void setBankAccountName(String bankAccountName) {
        this.bankAccountName = bankAccountName;
    }

    public String getBankAccountNumber() {
        return bankAccountNumber;
    }

    public void setBankAccountNumber(String bankAccountNumber) {
        this.bankAccountNumber = bankAccountNumber;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getRegistrationType() {
        return registrationType;
    }

    public void setRegistrationType(String registrationType) {
        this.registrationType = registrationType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getVehicleRoutingLocation() {
        return vehicleRoutingLocation;
    }

    public void setVehicleRoutingLocation(String vehicleRoutingLocation) {
        this.vehicleRoutingLocation = vehicleRoutingLocation;
    }

    public String getRatepayer() {
        return ratepayer;
    }

    public void setRatepayer(String ratepayer) {
        this.ratepayer = ratepayer;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Date getFoundationDate() {
        return foundationDate;
    }

    public void setFoundationDate(Date foundationDate) {
        this.foundationDate = foundationDate;
    }

    public Date getRegistrationDate() {
        return registrationDate;
    }

    public void setRegistrationDate(Date registrationDate) {
        this.registrationDate = registrationDate;
    }

    public String getRegistrationLocation() {
        return registrationLocation;
    }

    public void setRegistrationLocation(String registrationLocation) {
        this.registrationLocation = registrationLocation;
    }

    public String getRegistrationCapital() {
        return registrationCapital;
    }

    public void setRegistrationCapital(String registrationCapital) {
        this.registrationCapital = registrationCapital;
    }

    public Date getBusinessAllottedTimeFrom() {
        return businessAllottedTimeFrom;
    }

    public void setBusinessAllottedTimeFrom(Date businessAllottedTimeFrom) {
        this.businessAllottedTimeFrom = businessAllottedTimeFrom;
    }

    public Date getBusinessAllottedTimeTo() {
        return businessAllottedTimeTo;
    }

    public void setBusinessAllottedTimeTo(Date businessAllottedTimeTo) {
        this.businessAllottedTimeTo = businessAllottedTimeTo;
    }

    public String getLegalCode() {
        return legalCode;
    }

    public void setLegalCode(String legalCode) {
        this.legalCode = legalCode;
    }

    public String getVehicleroutinglocation() {
        return vehicleroutinglocation;
    }

    public void setVehicleroutinglocation(String vehicleroutinglocation) {
        this.vehicleroutinglocation = vehicleroutinglocation;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getArchitectureType() {
        return architectureType;
    }

    public void setArchitectureType(String architectureType) {
        this.architectureType = architectureType;
    }

    public Boolean getOversea() {
        return oversea;
    }

    public void setOversea(Boolean oversea) {
        this.oversea = oversea;
    }

    public Integer getNumOfBranches() {
        return numOfBranches;
    }

    public void setNumOfBranches(Integer numOfBranches) {
        this.numOfBranches = numOfBranches;
    }

    public Boolean getApiUpdateFlag() {
        return apiUpdateFlag;
    }

    public void setApiUpdateFlag(Boolean apiUpdateFlag) {
        this.apiUpdateFlag = apiUpdateFlag;
    }

    public Date getEffecTimeOfGeneralTaxpayers() {
        return effecTimeOfGeneralTaxpayers;
    }

    public void setEffecTimeOfGeneralTaxpayers(Date effecTimeOfGeneralTaxpayers) {
        this.effecTimeOfGeneralTaxpayers = effecTimeOfGeneralTaxpayers;
    }

    public String getRegistrationLocationEn() {
        return registrationLocationEn;
    }

    public void setRegistrationLocationEn(String registrationLocationEn) {
        this.registrationLocationEn = registrationLocationEn;
    }

    public String getPaidInCapital() {
        return paidInCapital;
    }

    public void setPaidInCapital(String paidInCapital) {
        this.paidInCapital = paidInCapital;
    }

    public Date getGeneralTaxPayerEffectiveTime() {
        return generalTaxPayerEffectiveTime;
    }

    public void setGeneralTaxPayerEffectiveTime(Date generalTaxPayerEffectiveTime) {
        this.generalTaxPayerEffectiveTime = generalTaxPayerEffectiveTime;
    }

    public String getUnifiedSocialCreditCode() {
        return unifiedSocialCreditCode;
    }

    public void setUnifiedSocialCreditCode(String unifiedSocialCreditCode) {
        this.unifiedSocialCreditCode = unifiedSocialCreditCode;
    }

    public String getRegStatus() {
        return regStatus;
    }

    public void setRegStatus(String regStatus) {
        this.regStatus = regStatus;
    }

    public Boolean getRegFinancialAccountingType() {
        return regFinancialAccountingType;
    }

    public void setRegFinancialAccountingType(Boolean regFinancialAccountingType) {
        this.regFinancialAccountingType = regFinancialAccountingType;
    }

    public String getApplicableAccountingRule() {
        return applicableAccountingRule;
    }

    public void setApplicableAccountingRule(String applicableAccountingRule) {
        this.applicableAccountingRule = applicableAccountingRule;
    }

    public String getLowValueConsumablesAmortizationMethod() {
        return lowValueConsumablesAmortizationMethod;
    }

    public void setLowValueConsumablesAmortizationMethod(String lowValueConsumablesAmortizationMethod) {
        this.lowValueConsumablesAmortizationMethod = lowValueConsumablesAmortizationMethod;
    }

    public String getDepreciationMethod() {
        return depreciationMethod;
    }

    public void setDepreciationMethod(String depreciationMethod) {
        this.depreciationMethod = depreciationMethod;
    }

    public String getAccountingSoftware() {
        return accountingSoftware;
    }

    public void setAccountingSoftware(String accountingSoftware) {
        this.accountingSoftware = accountingSoftware;
    }

    public Boolean getCompleteRecordTotalInstitutions() {
        return completeRecordTotalInstitutions;
    }

    public void setCompleteRecordTotalInstitutions(Boolean completeRecordTotalInstitutions) {
        this.completeRecordTotalInstitutions = completeRecordTotalInstitutions;
    }

    public String getTaxClientPersonName() {
        return taxClientPersonName;
    }

    public void setTaxClientPersonName(String taxClientPersonName) {
        this.taxClientPersonName = taxClientPersonName;
    }

    public String getTaxClientPersonPhoneNum() {
        return taxClientPersonPhoneNum;
    }

    public void setTaxClientPersonPhoneNum(String taxClientPersonPhoneNum) {
        this.taxClientPersonPhoneNum = taxClientPersonPhoneNum;
    }

    public String getTaxClientPersonIdNum() {
        return taxClientPersonIdNum;
    }

    public void setTaxClientPersonIdNum(String taxClientPersonIdNum) {
        this.taxClientPersonIdNum = taxClientPersonIdNum;
    }

    public String getTicketHolderName() {
        return ticketHolderName;
    }

    public void setTicketHolderName(String ticketHolderName) {
        this.ticketHolderName = ticketHolderName;
    }

    public String getTicketHolderPhoneNum() {
        return ticketHolderPhoneNum;
    }

    public void setTicketHolderPhoneNum(String ticketHolderPhoneNum) {
        this.ticketHolderPhoneNum = ticketHolderPhoneNum;
    }

    public String getNationalTaxHallAddress() {
        return nationalTaxHallAddress;
    }

    public void setNationalTaxHallAddress(String nationalTaxHallAddress) {
        this.nationalTaxHallAddress = nationalTaxHallAddress;
    }

    public String getNationalTaxAdministratorName() {
        return nationalTaxAdministratorName;
    }

    public void setNationalTaxAdministratorName(String nationalTaxAdministratorName) {
        this.nationalTaxAdministratorName = nationalTaxAdministratorName;
    }

    public String getNationalTaxAdministratorPhoneNum() {
        return nationalTaxAdministratorPhoneNum;
    }

    public void setNationalTaxAdministratorPhoneNum(String nationalTaxAdministratorPhoneNum) {
        this.nationalTaxAdministratorPhoneNum = nationalTaxAdministratorPhoneNum;
    }

    public String getLocalTaxHallAddress() {
        return localTaxHallAddress;
    }

    public void setLocalTaxHallAddress(String localTaxHallAddress) {
        this.localTaxHallAddress = localTaxHallAddress;
    }

    public String getLocalTaxAdministratorName() {
        return localTaxAdministratorName;
    }

    public void setLocalTaxAdministratorName(String localTaxAdministratorName) {
        this.localTaxAdministratorName = localTaxAdministratorName;
    }

    public String getLocalTaxAdministratorPhoneNum() {
        return localTaxAdministratorPhoneNum;
    }

    public void setLocalTaxAdministratorPhoneNum(String localTaxAdministratorPhoneNum) {
        this.localTaxAdministratorPhoneNum = localTaxAdministratorPhoneNum;
    }

    public String getEtaWebsite() {
        return etaWebsite;
    }

    public void setEtaWebsite(String etaWebsite) {
        this.etaWebsite = etaWebsite;
    }

    public Boolean getSignTripartiteAgreement() {
        return signTripartiteAgreement;
    }

    public void setSignTripartiteAgreement(Boolean signTripartiteAgreement) {
        this.signTripartiteAgreement = signTripartiteAgreement;
    }

    public String getReportingCurrency() {
        return reportingCurrency;
    }

    public void setReportingCurrency(String reportingCurrency) {
        this.reportingCurrency = reportingCurrency;
    }

    public Date getConsolidationTime() {
        return consolidationTime;
    }

    public void setConsolidationTime(Date consolidationTime) {
        this.consolidationTime = consolidationTime;
    }

    public Date getFiscalYearDeadline() {
        return fiscalYearDeadline;
    }

    public void setFiscalYearDeadline(Date fiscalYearDeadline) {
        this.fiscalYearDeadline = fiscalYearDeadline;
    }

    public String getTaxAgent() {
        return taxAgent;
    }

    public void setTaxAgent(String taxAgent) {
        this.taxAgent = taxAgent;
    }

    public String getTaxAgentContact() {
        return taxAgentContact;
    }

    public void setTaxAgentContact(String taxAgentContact) {
        this.taxAgentContact = taxAgentContact;
    }

    public String getOtherFacts() {
        return otherFacts;
    }

    public void setOtherFacts(String otherFacts) {
        this.otherFacts = otherFacts;
    }

    public Integer getTaxReturnBusinessType() {
        return taxReturnBusinessType;
    }

    public void setTaxReturnBusinessType(Integer taxReturnBusinessType) {
        this.taxReturnBusinessType = taxReturnBusinessType;
    }

    public Boolean getSmallMeagerProfit() {
        return smallMeagerProfit;
    }

    public void setSmallMeagerProfit(Boolean smallMeagerProfit) {
        this.smallMeagerProfit = smallMeagerProfit;
    }

    public Boolean getListedCompany() {
        return listedCompany;
    }

    public void setListedCompany(Boolean listedCompany) {
        this.listedCompany = listedCompany;
    }

    public Integer getApplicableAccountingStandardsOrAccountingSystems() {
        return applicableAccountingStandardsOrAccountingSystems;
    }

    public void setApplicableAccountingStandardsOrAccountingSystems(Integer applicableAccountingStandardsOrAccountingSystems) {
        this.applicableAccountingStandardsOrAccountingSystems = applicableAccountingStandardsOrAccountingSystems;
    }

    public String getTaxPayerNumberVat() {
        return taxPayerNumberVat;
    }

    public void setTaxPayerNumberVat(String taxPayerNumberVat) {
        this.taxPayerNumberVat = taxPayerNumberVat;
    }

    public String getTaxPayerNumberCit() {
        return taxPayerNumberCit;
    }

    public void setTaxPayerNumberCit(String taxPayerNumberCit) {
        this.taxPayerNumberCit = taxPayerNumberCit;
    }

    public String getTaxClientPersonEmailAddress() {
        return taxClientPersonEmailAddress;
    }

    public void setTaxClientPersonEmailAddress(String taxClientPersonEmailAddress) {
        this.taxClientPersonEmailAddress = taxClientPersonEmailAddress;
    }

    public String getLegalPersonPhoneNumber() {
        return legalPersonPhoneNumber;
    }

    public void setLegalPersonPhoneNumber(String legalPersonPhoneNumber) {
        this.legalPersonPhoneNumber = legalPersonPhoneNumber;
    }

    public String getLegalPersonLandlineNum() {
        return legalPersonLandlineNum;
    }

    public void setLegalPersonLandlineNum(String legalPersonLandlineNum) {
        this.legalPersonLandlineNum = legalPersonLandlineNum;
    }

    public String getLegalPersonEmailAddress() {
        return legalPersonEmailAddress;
    }

    public void setLegalPersonEmailAddress(String legalPersonEmailAddress) {
        this.legalPersonEmailAddress = legalPersonEmailAddress;
    }

    public String getRegFinancialOfficerName() {
        return regFinancialOfficerName;
    }

    public void setRegFinancialOfficerName(String regFinancialOfficerName) {
        this.regFinancialOfficerName = regFinancialOfficerName;
    }

    public String getRegFinancialOfficerPhoneNum() {
        return regFinancialOfficerPhoneNum;
    }

    public void setRegFinancialOfficerPhoneNum(String regFinancialOfficerPhoneNum) {
        this.regFinancialOfficerPhoneNum = regFinancialOfficerPhoneNum;
    }

    public String getRegFinancialOfficerLandlineNum() {
        return regFinancialOfficerLandlineNum;
    }

    public void setRegFinancialOfficerLandlineNum(String regFinancialOfficerLandlineNum) {
        this.regFinancialOfficerLandlineNum = regFinancialOfficerLandlineNum;
    }

    public String getRegFinancialOfficerEmailAddress() {
        return regFinancialOfficerEmailAddress;
    }

    public void setRegFinancialOfficerEmailAddress(String regFinancialOfficerEmailAddress) {
        this.regFinancialOfficerEmailAddress = regFinancialOfficerEmailAddress;
    }

    public Long getSecondaryApprovalAmount() {
        return secondaryApprovalAmount;
    }

    public void setSecondaryApprovalAmount(Long secondaryApprovalAmount) {
        this.secondaryApprovalAmount = secondaryApprovalAmount;
    }

    public String getBusinessRegistrationNumber() {
        return businessRegistrationNumber;
    }

    public void setBusinessRegistrationNumber(String businessRegistrationNumber) {
        this.businessRegistrationNumber = businessRegistrationNumber;
    }

    public Float getParValue() {
        return parValue;
    }

    public void setParValue(Float parValue) {
        this.parValue = parValue;
    }

    public Long getIssuedShares() {
        return issuedShares;
    }

    public void setIssuedShares(Long issuedShares) {
        this.issuedShares = issuedShares;
    }

    public String getDirectors() {
        return directors;
    }

    public void setDirectors(String directors) {
        this.directors = directors;
    }

    public String getNationalEconomicIndustry() {
        return nationalEconomicIndustry;
    }

    public void setNationalEconomicIndustry(String nationalEconomicIndustry) {
        this.nationalEconomicIndustry = nationalEconomicIndustry;
    }

    public Boolean getEngageNationalProhibitIndustry() {
        return engageNationalProhibitIndustry;
    }

    public void setEngageNationalProhibitIndustry(Boolean engageNationalProhibitIndustry) {
        this.engageNationalProhibitIndustry = engageNationalProhibitIndustry;
    }

    public String getTaxRegStatus() {
        return taxRegStatus;
    }

    public void setTaxRegStatus(String taxRegStatus) {
        this.taxRegStatus = taxRegStatus;
    }

    public String getActualBusinessAddress() {
        return actualBusinessAddress;
    }

    public void setActualBusinessAddress(String actualBusinessAddress) {
        this.actualBusinessAddress = actualBusinessAddress;
    }

    public Date getLogoutTime() {
        return logoutTime;
    }

    public void setLogoutTime(Date logoutTime) {
        this.logoutTime = logoutTime;
    }

    public String getTaxRuleIntroduction() {
        return taxRuleIntroduction;
    }

    public void setTaxRuleIntroduction(String taxRuleIntroduction) {
        this.taxRuleIntroduction = taxRuleIntroduction;
    }

    public Boolean getActive() {
        return isActive;
    }

    public void setActive(Boolean active) {
        isActive = active;
    }

    public String getTaxCreditRating() {
        return taxCreditRating;
    }

    public void setTaxCreditRating(String taxCreditRating) {
        this.taxCreditRating = taxCreditRating;
    }

    public String getAuditRequirements() {
        return auditRequirements;
    }

    public void setAuditRequirements(String auditRequirements) {
        this.auditRequirements = auditRequirements;
    }
}
