﻿citModule.directive('citDocumentListTree', ['$log', '$rootScope', '$timeout', 'enums',
    function ($log, $rootScope, $timeout, enums) {
        'use strict';

        $log.debug('citDocumentListTree.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/cit/import/cit-document-list-tree/cit-document-list-tree.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                selectedReportCode: '=',
                hasDocument: '=',
                treeTypeCode: '=',
                docNum: '=',
                selectedReportItem:'='
            },
            controller: 'citDocumentListTreeController',
            link: function ($scope, $element, $attr) {

                //Split(['#cit-report-nav-menu', '#cit-report-content'], {
                //    sizes: [21, 80],
                //    minSize: [320, 1240],
                //    onDragEnd: function () {
                //        $timeout(function () {
                //            $rootScope.$broadcast(enums.vatEvent.layoutChanged, {});
                //        }, 700);
                //    }
                //});


                $scope.isCollapsed = false;
            }
        };
    }
]);