﻿
citModule.directive('citCaculateData', ['$log',
    function ($log) {
        'use strict';

        $log.debug('citCaculateData.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/cit/reduction/vat-caculate-data/vat-caculate-data.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'citCaculateDataController',
            link: function ($scope, $element, $attr) {
                $scope.token = $('input[name="__RequestVerificationToken"]').val();
                var ellipsisNum = 0;
                var intervalId = setInterval(function () {
                    ellipsisNum++;
                    if (ellipsisNum > 3) {
                        ellipsisNum = 0;
                    }

                    var ellipsisStr = '';
                    for (var i = 1; i <= ellipsisNum; i++) {
                        ellipsisStr += '.';
                    }

                    $('.calc-progress-ellipsis').text(ellipsisStr);
                }, 800);

                $scope.$on('$detroy', function () {
                    clearInterval(intervalId);
                });
            }
        };
    }
]);