﻿commonModule.directive('orgSelector', [
    '$log', function ($log) {
        'use strict';

        $log.debug('orgSelector.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/org-selector/org-selector.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                selectedOrgCode: '=',
                selectedOrgName: '=',
                selectedOrgId: '=',
                componentSelectedOrg: '=',
                isShowAll: '=',
                selectNoOption: '=',
                loadData: '&',
                itemMaxLength: '=?',
                isRequire: '=?',
                queryOrganizationCode: '=?',
                editOrganizationCode: '=?',
                isFirstDefault: '=?',
            },
            controller: 'orgSelectorController',
            link: function (scope, element) {
            }
        };
    }
]);