﻿citModule.directive('dataImportCertifiedInvoicesList', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportCertifiedInvoicesList.ctor()...');

        return {
            restrict: 'E',
            template: '<import-certified-invoices-list service-type-id="serviceTypeId" period-id="periodId"></import-certified-invoices-list>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };

    }
]);