﻿citModule.directive('dataImportProfitLoss', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportProfitLoss.ctor()...');

        return {
            restrict: 'E',
            template: '<import-profit-loss service-type-id="serviceTypeId" period-id="periodId"></import-profit-loss>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };

    }
]);