﻿vatModule.directive('vatChartEdit', ['$log',
    function ($log) {
        'use strict';

        $log.debug('vatChartEdit.ctor()...');
        return {
            restrict: 'E',
            templateUrl: '/app/vat/analyzeReport/vat-analysis/vat-chart-edit/vat-chart-edit.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                chartID:'@'
            },
            controller: 'vatChartEditController',
            link: function ($scope, $element, $attr) {
                $element.find('#showValue').on('switchChange.bootstrapSwitch', function (e, state) {
                    $scope.showValue = state;

                    RefreshView();
                    //$log.debug('ok');
                });

                $element.find('#pieChartClickId').click(function (e) {
                    if ($scope.pieChartDisable) {
                        e.preventDefault();
                        return false;
                    }
                });

            }
        }

}]);
