﻿vatModule.directive('vatImportTrialBalance', ['$log', 'enums', 'vatSessionService',
    function ($log, enums, vatSessionService) {
        'use strict';
        $log.debug('vatImportTrialBalance.ctor()...');

        return {
            restrict: 'E',
            template: '<import-trial-balance service-type-id="serviceTypeId" period-id="periodId"></import-trial-balance>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = vatSessionService.month;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };
         
    }
]); 